#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		apivers		2.0
#-----------------------------------------------------------------------------
Name		:	libgtop
Version		:	2.41.3
Release		:	17.0.17.rel%{?dist}
Summary		:	GNOME top library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://github.com/GNOME/libgtop
			#http://ftp.gnome.org/pub/gnome/sources/libgtop

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk-doc

#-----------------------------------------------------------------------------
%description
A library that fetches information about the running
system such as cpu and memory usage, active processes etc.

On Linux systems, these information are taken directly
from the /proc filesystem while on other systems a server
is used to read those information from /dev/kmem or whatever.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_includedir}/%{name}-%{apivers}/glibtop*.h
%{_includedir}/%{name}-%{apivers}/%{name}config.h
%{_includedir}/%{name}-%{apivers}/glibtop/*.h
%{_libexecdir}/%{name}_daemon2
%{_libexecdir}/%{name}_server2
%{_libdir}/%{name}-%{apivers}.{la,so*}
%{_libdir}/pkgconfig/%{name}-%{apivers}.pc
%{_libdir}/girepository-1.0/G*-%{apivers}.typelib
%{_datadir}/gir-1.0/G*-%{apivers}.gir
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/gtk-doc/html/%{name}/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_infodir}/%{name}2.info.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build


autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-gtk-doc				\
	--disable-static				\

%define _smp_mflags %(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} -j%{?_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__rm}  %{buildroot}/%{_datadir}/info/dir

#-----------------------------------------------------------------------------
%changelog
